#
# spec file for package deepin-media-player
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           deepin-media-player
Summary:        Deepin Media Player
Version:        2.0git20140428
Release:        lp150.3.2
License:        GPL-3.0
BuildArch:      noarch
Url:            https://github.com/linuxdeepin/deepin-media-player
Group:          Productivity/Multimedia/Video/Players
Source0:        http://packages.linuxdeepin.com/deepin/pool/main/d/%{name}/%{name}_1+git20140428145948~6ac6ea0a8b.tar.gz
Source1:        deepin-media-player.desktop
Source2:        deepin-media-player.png
BuildRequires:  update-desktop-files
BuildRequires:  python-devel
BuildRequires:  fdupes 
Requires:       deepin-ui
Requires:       python-pyquery 
Requires:       python-mutagen 
Requires:       python-scipy 
Requires:       python-chardet 
Requires:       python-imaging 
Requires:       python-FormEncode
Requires:       MPlayer
Requires:       deepin-gsettings
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}

%description
New multimedia player with brilliant and tweakful UI.PyGtk and Deepin-ui 
Mplayer2 front-end, with features likes smplayer, but has a brilliant 
and tweakful UI.

%lang_package

%prep
%setup -q -n %{name}-1+git20140428145948~6ac6ea0a8b

%build
chmod 644 AUTHORS
chmod 644 COPYING
chmod 644 README
cd locale
rm -rf *.po
rm -rf deepin-media-player.pot
cd ../src
chmod 755 *.py
cd ../tools
chmod 755 *.py

%install
mkdir -p %{buildroot}/%{_datadir}/applications
mkdir -p %{buildroot}/%{_datadir}/icons
mkdir -p %{buildroot}/%{_datadir}/%{name}
mkdir -p %{buildroot}/%{_bindir}
cp %{S:1} %{buildroot}/%{_datadir}/applications/
cp %{S:2} %{buildroot}/%{_datadir}/icons/
cp -R locale %{buildroot}/%{_datadir}
cp -R app_theme %{buildroot}/%{_datadir}/%{name}
cp -R skin %{buildroot}/%{_datadir}/%{name}
cp -R src %{buildroot}/%{_datadir}/%{name}
cp -R image %{buildroot}/%{_datadir}/%{name}

%fdupes %{buildroot}
%if 0%{?suse_version} < 1120
rm -rf %{buildroot}/usr/share/locale/{id_ID,sv_SE}
%endif
%find_lang %{name}

%suse_update_desktop_file -r %{name} Player AudioVideo

cd %{buildroot}/%{_bindir}
ln -s ../share/%{name}/src/%{name}.py %{name}


%files 
%defattr(-, root, root, -)
%doc AUTHORS COPYING
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/%{name}.png
%{_datadir}/%{name}
%{_bindir}/%{name}

%files lang -f %{name}.lang


%changelog
* Sat Apr  2 2016 olaf@aepfle.de
- Mplayer2 was dropped, use MPlayer instead
* Mon May 26 2014 hillwood@@linuxfans.org
-update to 2.0git20140428
  feature update
* Thu Aug 15 2013 hillwood@linuxfans.org
- update to 2.0git20130718
  * update player image
  * Change api with deepin-ui change.
  * Fixed bug 0002115: Hide cursor when cursor in play area.
* Thu Feb  7 2013 hillwood@linuxfans.org
- update to 2.0git20130128
* Mon Dec 17 2012 hillwood@linuxfans.org
- update to 2.0git20121115, see more at http://goo.gl/mIk8b
- fix mplayer2 command
* Sun Oct  7 2012 hillwood@linuxfans.org
- Update to 1.0.2git20120911
  * Add new subtitles functions
  Subtitles Search
  Subtitle Selection
    Subtitles manually load
    Subtitles resizing
    Subtitle synchronization functions
    Subtitles progress trim
- Fix desktop Categories
* Wed Sep  5 2012 hillwood@linuxfans.org
- Initial package 1.0git20120817
